Get knowledge base sources/item
curl --request GET \
--url https://api.callaro.ai/api/v1/knowledge-base-sources/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/knowledge-base-sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/knowledge-base-sources/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"knowledge_base_id": "<string>",
"source_type": "<string>",
"status": "<string>",
"ingest_stage": "<string>",
"title": "<string>",
"source_uri": "<string>",
"source_file_name": "<string>",
"source_mime_type": "<string>",
"source_byte_size": 123,
"fallback_extraction_used": "<string>",
"ai_extraction_mode": "<string>",
"fallback_extraction_provider": "<string>",
"fallback_extraction_model_name": "<string>",
"estimated_fallback_charge": "<string>",
"fallback_billing_currency": "<string>",
"fallback_input_rate_per_million_usd": "<string>",
"fallback_input_rate_per_million_inr": "<string>",
"fallback_output_rate_per_million_usd": "<string>",
"fallback_output_rate_per_million_inr": "<string>",
"fallback_input_rate_source": "<string>",
"fallback_output_rate_source": "<string>",
"actual_fallback_charge": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}KnowledgeBases
Get knowledge base sources/item
From api/v1/knowledge_base_sources#show in voice_saas_api. Fields come from that action’s strong params / params usage.
GET
/
api
/
v1
/
knowledge-base-sources
/
{id}
Get knowledge base sources/item
curl --request GET \
--url https://api.callaro.ai/api/v1/knowledge-base-sources/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/knowledge-base-sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/knowledge-base-sources/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"tenant_id": "<string>",
"knowledge_base_id": "<string>",
"source_type": "<string>",
"status": "<string>",
"ingest_stage": "<string>",
"title": "<string>",
"source_uri": "<string>",
"source_file_name": "<string>",
"source_mime_type": "<string>",
"source_byte_size": 123,
"fallback_extraction_used": "<string>",
"ai_extraction_mode": "<string>",
"fallback_extraction_provider": "<string>",
"fallback_extraction_model_name": "<string>",
"estimated_fallback_charge": "<string>",
"fallback_billing_currency": "<string>",
"fallback_input_rate_per_million_usd": "<string>",
"fallback_input_rate_per_million_inr": "<string>",
"fallback_output_rate_per_million_usd": "<string>",
"fallback_output_rate_per_million_inr": "<string>",
"fallback_input_rate_source": "<string>",
"fallback_output_rate_source": "<string>",
"actual_fallback_charge": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Was this page helpful?